TRANSPORT_REMOVE_(9)

NAME
transport_remove_device - remove the visibility of a device

SYNOPSIS

void transport_remove_device (struct device * dev);

ARGUMENTS

dev generic device to remove

DESCRIPTION

This call removes the visibility of the device (to the user from sysfs), but does not destroy it. To eliminate a device entirely you must also call transport_destroy_device. If you don't need to do remove and destroy as separate operations, use transport_unregister_device (see transport_class.h) which will perform both calls for you.

DESCRIPTION

This call removes the visibility of the device (to the user from sysfs), but does not destroy it. To eliminate a device entirely you must also call transport_destroy_device. If you don't need to do remove and destroy as separate operations, use transport_unregister_device (see transport_class.h) which will perform both calls for you.